Emitted when a remote user opens a model. This is only emitted if the current user has that particular model already open.

### Hierarchy

- CollaboratorOpenedEvent

### Implements

- IModelEvent

## Index

### Constructors

- constructor

### Properties

- collaborator
- name
- src
- NAME

## Constructors

### constructor

- new CollaboratorOpenedEvent(src: RealTimeModel, collaborator: ModelCollaborator): CollaboratorOpenedEvent

- #### Parameters

  - ##### src: RealTimeModel

  - ##### collaborator: ModelCollaborator

  #### Returns CollaboratorOpenedEvent

## Properties

### collaborator

collaborator: ModelCollaborator

The DomainUser / session ID of the remote collaborator.

### name

name: string = CollaboratorOpenedEvent.NAME

Implementation of IModelEvent.name

The name of the event that was fired. This is commonly used to filter when using the ConvergenceEventEmitter.events stream.

Note that the name is only guaranteed to be unique within the class / subsystem that is firing it. Names might be reused across classes and subsystems.

### src

src: RealTimeModel

Implementation of IModelEvent.src

The model that was opened.

### StaticNAME

NAME: "collaborator_opened" = "collaborator_opened"